%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Lightweight video thumbnailer
Name:		ffmpegthumbnailer
Version:	2.0.8
Release:	%mkrel 3
License:	GPLv2+
Group:		Video/Utilities
URL:		http://code.google.com/p/ffmpegthumbnailer/
Source0:	http://ffmpegthumbnailer.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	ffmpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
Requires:	%{libname} = %{version}-%{release}

%description
This video thumbnailer can be used by file managers to 
create thumbnails for your video files. The thumbnailer 
uses ffmpeg to decode frames from the video files, so 
supported videoformats depend on the configuration 
flags of ffmpeg.

This thumbnailer was designed to be as fast and 
lightweight as possible.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		Video/Utilities
Obsoletes:	%{mklibname %{name} 2}

%description -n %{libname}
Main library for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/libffmpegthumbnailer.la

%files
%doc AUTHORS ChangeLog README TODO
%{_bindir}/ffmpegthumbnailer
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.0.8-3.mga3
+ Revision: 350261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 2.0.8-2.mga3
+ Revision: 341580
- rebuild for new ffmpeg

* Sat Sep 29 2012 fwang <fwang> 2.0.8-1.mga3
+ Revision: 299978
- update rpm group
- new version 2.0.8

* Tue May 29 2012 fwang <fwang> 2.0.7-3.mga3
+ Revision: 248984
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Sun Sep 11 2011 fwang <fwang> 2.0.7-2.mga2
+ Revision: 142267
- rebuild for new libpng

* Wed Sep 07 2011 tv <tv> 2.0.7-1.mga2
+ Revision: 140282
- new release

* Fri Jun 24 2011 fwang <fwang> 2.0.6-2.mga2
+ Revision: 113120
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Feb 17 2011 ahmad <ahmad> 2.0.6-1.mga1
+ Revision: 53161
- imported package ffmpegthumbnailer

